Package csb :: Package io :: Module tsv :: Class Expression

[frames] | no frames]

# Class Expression

source code

    object --+
             |
            Expression

Metadata container: represents a table select or update expression.

Instance Methods

__init__(self, columns) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

array(args) | source code

Properties
| all
| data
| params
| predicate
| scalar
| select
| where
Inherited from `object`: `__class__`

Method Details

### __init__(self, columns)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

Property Details

### all

Get Method:
  unreachable.all(self)

### data

Get Method:
  unreachable.data(self)
Set Method:
  unreachable.data(self, value)

### params

Get Method:
  unreachable.params(self)

### predicate

Get Method:
  unreachable.predicate(self)
Set Method:
  unreachable.predicate(self, value)

### scalar

Get Method:
  unreachable.scalar(self)
Set Method:
  unreachable.scalar(self, value)

### select

Get Method:
  unreachable.select(self)
Set Method:
  unreachable.select(self, value)

### where

Get Method:
  unreachable.where(self)
Set Method:
  unreachable.where(self, value)